upgrading to PHP 7.2... no worries